weka.associations

## Class FilteredAssociationRules

- java.lang.Object
- - weka.associations.AssociationRules
  - - weka.associations.FilteredAssociationRules

- All Implemented Interfaces:
    java.io.Serializable

      public class FilteredAssociationRules
      extends AssociationRules

  Class encapsulating a list of association rules and the preprocessing filter that was applied before they were generated.
  Version:
    $Revision: 8034 $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilteredAssociationRules(Filter filter, AssociationRules rules)` Constructs a new FilteredAssociationRules.
    `FilteredAssociationRules(java.lang.Object producer, Filter filter, AssociationRules rules)` Constructs a new FilteredAssociationRules.
    `FilteredAssociationRules(java.lang.String producer, Filter filter, AssociationRules rules)` Constructs a new FilteredAssociationRules.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNumRules()` Get the number of rules.
    `java.util.List<AssociationRule>` | `getRules()` Get the rules.
    `AssociationRules` | `getWrappedRules()` Get the wrapped `AssociationRules` object.
    `void` | `setRules(java.util.List<AssociationRule> rules)` Set the rules to use.
    `void` | `setWrappedRules(AssociationRules rules)` Set the wrapped `AssociationRules` object to use.

    - ### Methods inherited from class weka.associations.AssociationRules

      `getProducer, setProducer`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilteredAssociationRules

          public FilteredAssociationRules(java.lang.String producer,
                                          Filter filter,
                                          AssociationRules rules)

      Constructs a new FilteredAssociationRules.
      Parameters:
        `producer` - a string describing the scheme that produced these rules.
        `filter` - the filter applied to preprocess the data used to learn the rules.
        `rules` - the wrapped AssociationRules object.

    - #### FilteredAssociationRules

          public FilteredAssociationRules(java.lang.Object producer,
                                          Filter filter,
                                          AssociationRules rules)

      Constructs a new FilteredAssociationRules.
      Parameters:
        `producer` - the scheme that produced the rules
        `filter` - the filter applied to preprocess the data used to learn the rules.
        `rules` - the wrapped AssociationRules object.

    - #### FilteredAssociationRules

          public FilteredAssociationRules(Filter filter,
                                          AssociationRules rules)

      Constructs a new FilteredAssociationRules.
      Parameters:
        `filter` - the filter applied to preprocess the data used to learn the rules.
        `rules` - the wrapped AssociationRules object.

  - ### Method Detail

    - #### setRules

          public void setRules(java.util.List<AssociationRule> rules)

      Set the rules to use. Passes them to the wrapped AssociationRules object.
      Overrides:
        `setRules` in class `AssociationRules`
      Parameters:
        `rules` - the rules to use.

    - #### getRules

          public java.util.List<AssociationRule> getRules()

      Get the rules.
      Overrides:
        `getRules` in class `AssociationRules`
      Returns:
        the rules.

    - #### getNumRules

          public int getNumRules()

      Get the number of rules.
      Overrides:
        `getNumRules` in class `AssociationRules`
      Returns:
        the number of rules.

    - #### setWrappedRules

          public void setWrappedRules(AssociationRules rules)

      Set the wrapped `AssociationRules` object to use.
      Parameters:
        `rules` - the `AssociationRules` object to wrap.

    - #### getWrappedRules

          public AssociationRules getWrappedRules()

      Get the wrapped `AssociationRules` object.
      Returns:
        the wrapped `AssociationRules` object.